VST 3 Examples: LogScaleParameter< T > Class Template Reference
Author: Steinberg

VST 3 Examples VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LogScaleParameter< T > Class Template Reference

Parameter class with a LogScale. More...

`#include <logscale.h>`

Inheritance diagram for LogScaleParameter< T >:

## Public Member Functions
| LogScaleParameter (const TChar *title, ParamID tag, LogScale< T > &logScale, const TChar *units=nullptr, int32 flags=ParameterInfo::kCanAutomate, UnitID unitID=kRootUnitId)
void | toString (ParamValue _valueNormalized, String128 string) const SMTG_OVERRIDE
bool | fromString (const TChar *string, ParamValue &_valueNormalized) const SMTG_OVERRIDE
ParamValue | toPlain (ParamValue _valueNormalized) const SMTG_OVERRIDE
ParamValue | toNormalized (ParamValue plainValue) const SMTG_OVERRIDE
Public Member Functions inherited from Parameter
| Parameter ()
| Parameter (const ParameterInfo &)
| Parameter (const TChar *title, ParamID tag, const TChar *units=nullptr, ParamValue defaultValueNormalized=0., int32 stepCount=kStepCountContinuous, int32 flags=ParameterInfo::kCanAutomate, UnitID unitID=kRootUnitId, const TChar *shortTitle=nullptr)
| ~Parameter () override
virtual const ParameterInfo & | getInfo () const
virtual ParameterInfo & | getInfo ()
virtual void | setUnitID (UnitID id)
virtual UnitID | getUnitID ()
ParamValue | getNormalized () const
virtual bool | setNormalized (ParamValue v)
virtual int32 | getPrecision () const
virtual void | setPrecision (int32 val)

## Additional Inherited Members
Public Attributes inherited from Parameter
OBJ_METHODS(Parameter, FObject) protected ParamValue | valueNormalized
int32 | precision

## Detailed Description

template<class T>
class Steinberg::Vst::LogScaleParameter< T >

Parameter class with a LogScale.

Define a parameter using the LogScale.

See also
  Steinberg::Vst::LogScale

## Constructor & Destructor Documentation

## ◆ LogScaleParameter()

template<class T>

LogScaleParameter | ( | const TChar * | title,
|  | ParamID | tag,
|  | LogScale< T > & | logScale,
|  | const TChar * | units = nullptr,
|  | int32 | flags = ParameterInfo::kCanAutomate,
|  | UnitID | unitID = kRootUnitId )
| inline

## Member Function Documentation

## ◆ toString()

template<class T>

void toString | ( | ParamValue | _valueNormalized,
|  | String128 | string ) const
| inlinevirtual

Reimplemented from Parameter.

## ◆ fromString()

template<class T>

bool fromString | ( | const TChar * | string,
|  | ParamValue & | _valueNormalized ) const
| inlinevirtual

Reimplemented from Parameter.

## ◆ toPlain()

template<class T>

ParamValue toPlain | ( | ParamValue | _valueNormalized | ) | const
| inlinevirtual

Reimplemented from Parameter.

## ◆ toNormalized()

template<class T>

ParamValue toNormalized | ( | ParamValue | plainValue | ) | const
| inlinevirtual

Reimplemented from Parameter.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.